Bug 21340 - Add spans with classes around callnumbers in OPAC for additional styling
Summary: Add spans with classes around callnumbers in OPAC for additional styling
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-12 16:38 UTC by Kyle M Hall
Modified: 2019-10-14 19:56 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling (5.87 KB, patch)
2018-09-12 16:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling (6.45 KB, patch)
2018-09-14 23:54 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling (6.50 KB, patch)
2018-09-15 16:02 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling (6.54 KB, patch)
2018-09-15 16:07 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling (6.59 KB, patch)
2018-09-15 16:40 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling (6.64 KB, patch)
2018-09-15 16:46 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling (6.69 KB, patch)
2018-09-15 17:32 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling (5.91 KB, patch)
2018-09-20 13:54 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling (5.96 KB, patch)
2018-09-25 05:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2018-09-12 16:38:18 UTC
It would be nice if the callnumber portion of the callnumber + label was in a span, and it also makes sense to wrap the entire callnumber string in a span as well.
Comment 1 Kyle M Hall 2018-09-12 16:41:24 UTC
Created attachment 78596 [details] [review]
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling

It would be nice if the callnumber portion of the callnumber + label was in a span, and it also makes sense to wrap the entire callnumber string in a span as well.
Comment 2 ByWater Sandboxes 2018-09-14 23:54:13 UTC
Created attachment 78850 [details] [review]
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling

It would be nice if the callnumber portion of the callnumber + label was in a span, and it also makes sense to wrap the entire callnumber string in a span as well.

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>
Comment 3 ByWater Sandboxes 2018-09-15 16:02:46 UTC
Created attachment 78852 [details] [review]
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling

It would be nice if the callnumber portion of the callnumber + label was in a span, and it also makes sense to wrap the entire callnumber string in a span as well.

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>
Comment 4 ByWater Sandboxes 2018-09-15 16:07:09 UTC
Created attachment 78853 [details] [review]
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling

It would be nice if the callnumber portion of the callnumber + label was in a span, and it also makes sense to wrap the entire callnumber string in a span as well.

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter vk <petter@libriotech.no>
Comment 5 ByWater Sandboxes 2018-09-15 16:40:29 UTC
Created attachment 78855 [details] [review]
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling

It would be nice if the callnumber portion of the callnumber + label was in a span, and it also makes sense to wrap the entire callnumber string in a span as well.

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter vk <petter@libriotech.no>

Signed-off-by: Petter vk <petter@libriotech.no>
Comment 6 ByWater Sandboxes 2018-09-15 16:46:46 UTC
Created attachment 78857 [details] [review]
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling

It would be nice if the callnumber portion of the callnumber + label was in a span, and it also makes sense to wrap the entire callnumber string in a span as well.

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter vk <petter@libriotech.no>

Signed-off-by: Petter vk <petter@libriotech.no>

Signed-off-by: Petter vk <petter@libriotech.no>
Comment 7 ByWater Sandboxes 2018-09-15 17:32:41 UTC
Created attachment 78866 [details] [review]
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling

It would be nice if the callnumber portion of the callnumber + label was in a span, and it also makes sense to wrap the entire callnumber string in a span as well.

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Petter vk <petter@libriotech.no>

Signed-off-by: Petter vk <petter@libriotech.no>

Signed-off-by: Petter vk <petter@libriotech.no>

Signed-off-by: Petter vk <petter@libriotech.no>
Comment 8 Mark Tompsett 2018-09-19 15:08:06 UTC
As you can see by the excessive signed-off-by's below, I'm pretty sure Petter is experiencing this ByWater Sandboxes not signing off problem.
Comment 9 Kyle M Hall 2018-09-20 13:54:40 UTC
Created attachment 79180 [details] [review]
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling

It would be nice if the callnumber portion of the callnumber + label was in a span, and it also makes sense to wrap the entire callnumber string in a span as well.

Signed-off-by: Petter <petter@libriotech.no>
Comment 10 Katrin Fischer 2018-09-25 05:40:46 UTC
Maybe a silly question, but how do you make the callnumber show up in the result list? I tried OPACItemsResultsDisplay, but that didn't work.
Comment 11 Katrin Fischer 2018-09-25 05:55:45 UTC
Turns out it helps when your items actually have callnumbers :)
Comment 12 Katrin Fischer 2018-09-25 05:58:10 UTC
Created attachment 79354 [details] [review]
Bug 21340: Add spans with classes around callnumbers in OPAC for additional styling

It would be nice if the callnumber portion of the callnumber + label was in a span, and it also makes sense to wrap the entire callnumber string in a span as well.

Signed-off-by: Petter <petter@libriotech.no>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Nick Clemens 2018-10-01 16:45:02 UTC
Awesome work all!

Pushed to master for 18.11
Comment 14 Martin Renvoize 2018-10-05 15:42:28 UTC
Enhancement will not be backported to 18.05.x series.